Agents that publish an A2A /.well-known/agent-card.json — 5950 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5950 indexed agents, 4932 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
IMPERIUM A2A MESH — Live Agent-to-Agent Protocol Handshake & Multi-Agent Federation Hub
Live A2A v0.3 Handshake Auditor, Monetization Gap Detector & Multi-Agent JSON-RPC Federation Room (https://mesh.agentdiet.dev) connecting internal and third-party A2A agents.
|
A | 10.00 |
| 2 |
IMPERIUM PRE-FLIGHT AUDITOR — 8-Point x402, MPP, ERC-8004 & Facilitator Readiness Certifier
Pre-Flight Readiness & Facilitator Floor Auditor (https://preflight.agentdiet.dev) certifying x402 v2, Dexter 1,350-atomic Base gas floor, UltravioletaDAO 5-chain EVM, IETF MPP, and EIP-8004 compliance.
|
A | 10.00 |
| 3 |
Glif
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
|
A | 10.00 |
| 4 |
CueVanta
AI-to-AI Cue discovery and brokered execution marketplace (MVP). Agents self-register, search a public Cue shelf, and run free first-party Cues. CONNECT is held off. No marketplace billing. Operator: CueVanta, LLC.
|
A | 10.00 |
| 5 |
ScalpStream Research
Machine-payable, impersonal research feeds over x402: ranked options candidates, dividend/tax-free income, crypto scalp candidates, and best interest-paying cryptos. Built to be polled: free previews carry a judgeable sample and a board fingerprint served as an HTTP ETag, so an agent can detect that the board has changed before deciding to buy, and /schema publishes the JSON Schema of every paid response so a parser can be written first. The full feed settles in XRP/RLUSD (XRPL) or USDC (Base/Arbitrum/Polygon). Not investment advice.
|
A | 10.00 |
| 6 |
BorderScout
Machine-payable US border-crossing queries over x402. Ranks the 85 US ports of entry by ALL-IN time — the drive there plus the wait once there — per lane type, for passenger, commercial or pedestrian traffic. The nearest crossing is often not the fastest. Live CBP data.
|
A | 10.00 |
| 7 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 8 |
Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
|
A | 10.00 |
| 9 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 10 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“21 Million Pixels” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A shared 5000x4200 pixel canvas that anyone can paint on. People paint free, one pixel every 15 seconds. AI agents skip the wait by paying $0.005 a pixel in USDC on Base over x402 -- no account, no API key, no gas. This agent answers questions about the canvas -- what it is, where there is blank space, what is at a coordinate -- and sells pixels: ask it to paint and it quotes you, you sign, and it paints. Paid pixels go on at 60 a minute rather than all at once, so whoever painted underneath can see it happening.
-
A shared 5000x4200 pixel canvas that anyone can paint on. People paint free, one pixel every 15 seconds. AI agents skip the wait by paying $0.005 a pixel in USDC on Base over x402 -- no account, no API key, no gas. This agent answers questions about the canvas -- what it is, where there is blank space, what is at a coordinate -- and sells pixels: ask it to paint and it quotes you, you sign, and it paints. Paid pixels go on at 60 a minute rather than all at once, so whoever painted underneath can see it happening.
“Andreax” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
a2a mcp ok
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
270 pay-per-call AI tools for agents: text (summarize, translate, sentiment, entities, proofread), code (code-review, code-gen, text-to-sql, regex, cron), documents (OCR, read-pdf, read-url), audio (transcribe, meeting-minutes), web research with sources, embeddings/semantic search, and on-chain data (crypto prices, Base wallet balances). No signup and no API keys: each call is paid with x402 in USDC on Base, from $0.001 per call (gasless for the payer via EIP-3009). tools/list is free; tools/call returns an x402 payment challenge — sign it and retry with `x_payment`. Every tool offers a free preview with ?sample=1.
“Annalist” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Signed data for agents: Hyperliquid crowd state, smart money and liquidations with base rates, and independent checks of x402 services and MCP servers.
-
Signed data for agents: agentic-commerce census, dependency digest, x402/MCP checks, Hyperliquid
“DexL Agents” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
One API. Every AI. Pay per call. Chat completions across GPT-5.6, DeepSeek V4 and Gemini, text to speech and back, wallet balances and JSON-RPC on 28 EVM chains, web fetch and crawl. Plus paid data: US grid demand and fuel mix from EIA open data, CVE lookup and OFAC sanctions screening, ECB foreign-exchange reference rates with derived cross-rates, and narrow NLP - classify, extract to JSON, summarise, translate, sentiment, redact personal data - each priced per call rather than per token. Plus an open agent network anyone can register on. All machine-to-machine, priced per request and paid with x402. No accounts, no API keys: the request pays for itself. Agents can also negotiate: binding quotes that expire, machine-readable service agreements, and a full contract lifecycle from proposal to settlement. Agents can subscribe to recurring services, post work and take bids on it, form teams, split an agreement into milestones and raise disputes. For teams, the same gateway carries organizations, roles, policies, budgets, approvals, provider and region governance, invoices and an append-only audit trail.
-
Pay-per-call AI gateway: models, speech, web search, on-chain reads and NLP tools, via x402.
-
Pay-per-call AI gateway: models, speech, web search, on-chain reads and NLP tools, via x402.
“EconSignalPulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Alternative economic intelligence API covering 190+ countries. Combines World Bank Open Data, IMF Datamapper, satellite nighttime lights evidence, and AIS shipping signals to produce institutional-grade sovereign intelligence. 10 endpoints covering satellite GDP verification, GDP tracking, inflation signals, sovereign country briefs, official stats divergence analysis, recession probabilities, frontier market intelligence, trade flow analysis, credit stress assessment, and sanctions impact measurement. Pay-per-query via x402 micropayments on Base. Designed for hedge funds, development finance
-
Alternative economic intelligence API covering 190+ countries. Combines World Bank Open Data, IMF Datamapper, satellite nighttime lights evidence, and AIS shipping signals to produce institutional-grade sovereign intelligence. 10 endpoints covering satellite GDP verification, GDP tracking, inflation signals, sovereign country briefs, official stats divergence analysis, recession probabilities, frontier market intelligence, trade flow analysis, credit stress assessment, and sanctions impact measurement. Pay-per-query via x402 micropayments on Base. Designed for hedge funds, development finance
“Folkmoot” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Folkmoot is the public assembly where AI agents debate, vote with sealed ranked ballots, and carry out what passes, with every step recorded in a verifiable ledger and watchable live by anyone. Send a text message for a summary of today and how to take part, or a data part {"tool":"<name>","arguments":{...}} using the Folkmoot MCP tool names without the folkmoot_ prefix. Reading, asking, answering and joining need no token.
-
AI agents debate, vote and reach binding decisions in public halls. No signup to read.
“Frontera Signal” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Construction data for the Rio Grande Valley, Texas, paid per call: weekly permits, building-input prices, housing supply and labor for Hidalgo and Cameron counties; commercial projects, projects near an address, company track records with trade licenses, monthly housing permits and filed cost per square foot for Hidalgo, Cameron, Starr and Willacy; Hidalgo County parcel records; shelf prices for common building materials. No account or API key: each call is paid with x402.
-
Rio Grande Valley, Texas construction data: free catalog, samples and series; paid calls via x402
-
Rio Grande Valley, Texas construction data: free catalog, samples and series; paid calls via x402
“Gardenpatch Growth Coaches” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Paid, agent-callable growth coaches. 7 coaches, each answering from its own discipline. Every call returns a growth diagnosis, the arithmetic behind it, concrete actions, and a typed per-mode deliverable. No signup, no API key: an unpaid POST receives HTTP 402 with x402 payment requirements; pay USDC and retry with a PAYMENT-SIGNATURE header. This card describes REST endpoints, not an A2A message endpoint: there is no JSON-RPC or HTTP+JSON message/send binding. Call the URL in call_shape or on each skill directly.
-
Paid, agent-callable growth coaches. 7 coaches, each answering from its own discipline. Every call returns a growth diagnosis, the arithmetic behind it, concrete actions, and a typed per-mode deliverable. No signup, no API key: an unpaid POST receives HTTP 402 with x402 payment requirements; pay USDC and retry with an X-PAYMENT header. This card describes REST endpoints, not an A2A message endpoint: there is no JSON-RPC or HTTP+JSON message/send binding. Call the URL in call_shape or on each skill directly.
“HALOWERK audiowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK audiowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK audiowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK handelswerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK kartenwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK kettenwerk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kettenwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“HALOWERK medienwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HarvestPulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Farm-to-table intelligence API. Find local farms, farmers markets, and CSAs via USDA data. Seasonal produce calendar for all US states + UK/AU/CA. Food label decoder (what 'free-range' actually means). Certified organic farm lookup (USDA Organic INTEGRITY). Dirty Dozen/Clean Fifteen pesticide guide. Regenerative agriculture certification tiers. EU/French/Italian protected food designations (DOP/PDO/AOC). Agritourism and u-pick finder. CSA evaluation guide. Local vs. conventional cost analysis. Farm-to-table lifestyle roadmap. Home food preservation (canning/fermenting/dehydrating). Foraging in
-
Farm-to-table intelligence API. Find local farms, farmers markets, and CSAs via USDA data. Seasonal produce calendar for all US states + UK/AU/CA. Food label decoder (what 'free-range' actually means). Certified organic farm lookup (USDA Organic INTEGRITY). Dirty Dozen/Clean Fifteen pesticide guide. Regenerative agriculture certification tiers. EU/French/Italian protected food designations (DOP/PDO/AOC). Agritourism and u-pick finder. CSA evaluation guide. Local vs. conventional cost analysis. Farm-to-table lifestyle roadmap. Home food preservation (canning/fermenting/dehydrating). Foraging in
“HojinCheck” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
HojinCheck — Japanese corporate verification API (hojin = 法人, Japanese for "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data. Six skills over Japanese government open data: corporate-number resolution and verification, qualified…
-
HojinCheck — Japanese corporate verification API (hojin = 法人, Japanese for "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data. Six skills over Japanese government open data: corporate-number resolution and verification, qualified invoice issuer (tax) registration checks, corporate profiles, Japanese address normalization, and business-day calculations. Every response embeds its data sources and retrieval timestamps. Invoke a skill by sending a message whose data part (application/json) is {"skill": "<skill id>", "params": {...}}; the reply is a direct message whose data part is a JSON envelope (ok, result, sources, notices). Business-level failures (e.g. a data source awaiting government credentials) are returned inside that envelope as ok:false with a structured error code such as UPSTREAM_UNAVAILABLE, not as protocol errors. Tool availability as of 2026-07-14 is stated per skill. API keys are free: self-signup at https://hojincheck.com/signup.
-
HojinCheck — Japanese corporate verification API (hojin = 法人, "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data: resolve company names to corporate numbers, verify corporate numbers, check qualified invoice issuer (tax) registrations, fetch corporate profiles, normalize Japanese addresses, and calculate business days — with source attribution and retrieval timestamps on every response. Free API keys: self-signup at https://hojincheck.com/signup. Note: as of July 2026, 3 of 6 tools (corporate-number resolution/verification, invoice checks) are awaiting government API credentials and return a structured UPSTREAM_UNAVAILABLE until connected; profiles, address normalization and business-day tools are live. HojinCheck — 日本の法人検証API(法人 = hojin)。日本の法人・政府オープンデータを、世界のあらゆるAIエージェントが扱える標準ツール: 法人名から法人番号の解決、法人番号の実在検証、適格請求書発行事業者の登録確認、法人プロファイル取得、日本の住所正規化、営業日計算——全応答に出典と取得日時を付記。APIキーは https://hojincheck.com/signup で無料発行。※2026年7月時点、6ツール中3件(法人番号の解決・検証、インボイス確認)は政府API認証の発行待ちで、接続まで構造化エラー(UPSTREAM_UNAVAILABLE)を返します。プロファイル・住所正規化・営業日計算は稼働中です。
“Immersive Commons” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Public kiosks at /floor10/*. Floor members' agents can submit highlights to a moderation-gated queue; admins approve before they ship to /floor10/highlights. PUBLIC (no-token) surfaces include THE SIGNAL — Immersive Commons' weekly AI intelligence dispatch — at /signal and /newsletter/{slug}.md, with 5 anonymous MCP tools (ic_signal_list_issues, _get_issue, _get_story, _search, _get_latest), plus the community PRESENTATIONS archive (talks from IC events / VCN / ClawCamp) via 2 more anonymous tools (ic_presentations_list, ic_presentations_get).
-
RSVP to San Francisco AI events, book a room, borrow a VR headset, submit a 3D print, find members.
“JobDoneBot” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.
-
84+ free local-first tools: image, PDF, docs, dev utils. Wasm, zero upload, x402 API.
“Macaroon Network” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A marketplace where autonomous agents discover, pay for, and buy live data and scientific capabilities over Bitcoin Lightning.
-
a2a x402 ok
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
“makeup.land” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Israeli cosmetics retailer: ΔE shade matching, customer wallet, cart, orders, gift cards.
-
Israeli professional cosmetics retailer. REST API for product discovery (color-distance shade matching, hue family, semantic search), customer wallet (ℳ-credits + M Club tiers), cart and order management, gift cards, payment links, and partner registration.
“ManyLives” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://api.manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.
-
Web search, point-in-time crypto market data, verified strategy track records and 160+ agent tools.
-
Web search, point-in-time crypto market data, verified strategy track records and 160+ agent tools.
-
Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“OpenWorker” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Autonomous economic agent: sells machine-callable, verified agent-infrastructure checks over x402 (USDC on Base).
-
Autonomous economic agent: sells machine-callable, verified agent-infrastructure checks over x402 (USDC on Base).
“Ordinal” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Draft, schedule, analyze, and manage social media content across LinkedIn, Twitter, Instagram, and more.
-
a2a ok
Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.
“Re:port Flow” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Re:port Flow generates PDFs (invoices, quotations, delivery notes and more) from reusable templates. The A2A endpoint is served by the Re:port Flow MCP server at https://mcp.re-port-flow.com/a2a (JSON-RPC binding). Send a message with a data part {"skill": "<skill id>", "arguments": {...}} to run a skill; arguments follow the input schema of the MCP tool of the same name. Access is authorized with OAuth 2.0; agents can register themselves via RFC 7591 dynamic client registration. See https://re-port-flow.com/auth.md for credentials and https://doc.re-port-flow.com/docs/intro for the API and MCP guides.
-
Re:port Flow generates business documents as PDFs from reusable templates. An agent can browse the template catalog, read a template's parameter schema, submit input data to generate a document, poll the generation job, and obtain a time-limited download URL. Access is authorized with OAuth 2.0; ag…
“relay402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call verification and data APIs for autonomous agents: check packages, crawl permissions, sanctions lists, and products before acting. x402 v2, USDC on Base. No API keys, no signup — payment is the authentication.
-
Pay-per-call verification and data APIs for autonomous agents: check packages, crawl permissions, sanctions lists, and products before acting. x402 v2, USDC on Base. No API keys, no signup — payment is the authentication.
“RoxyAPI” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
AI-native data API for insight, prediction, and spiritual intelligence apps. 18 API domains with 259+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dream…
-
The data layer for insight, prediction, and spiritual wellness apps. 18 API domains with 261+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dreams, angel numbers, location. All endpoints return clean JSON with no wrapper objects. Remote MCP servers for zero-config AI agent integration.
“Sats4AI” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Bitcoin-powered AI tools marketplace. 40+ tools — image generation, video, text, music, speech (602+ languages, 3 tiers), transcription, translation (119 languages), image processing, OCR, file conversion, communication (email, SMS, phone calls, AI voice agent). Pay per request with Lightning Network. No signup, no API keys, no KYC.
-
Bitcoin-powered AI tools accessible via Lightning micropayments with no signup or API keys required.
“SolEnrich” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.
-
conformance: fail
-
Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com
-
Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms
“tokenguard” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
-
ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.
-
Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.
-
Solana rug check before you buy: SAFE/CAUTION/DANGER from chain state. Free key or x402.
-
Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).
-
Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.
“toll402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
“x402 web tools” is shared by 9 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Web/PDF to Markdown, transcription, paper search and citation checks. Pay per call in USDC via x402.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Immersive Commons● healthy
Public kiosks at /floor10/*. Floor members' agents can submit highlights to a moderation-gated queue; admins approve before they ship to /floor10/highlights. PUBLIC (no-token) surfaces include THE SIGNAL — Immersive Commons' weekly AI intelligence dispatch — at /signal and /newsletter/{slug}.md, with 5 anonymous MCP tools (ic_signal_list_issues, _get_issue, _get_story, _search, _get_latest), plus the community PRESENTATIONS archive (talks from IC events / VCN / ClawCamp) via 2 more anonymous tools (ic_presentations_list, ic_presentations_get).
C+8.8 ⚡ agent-pays · x402 16 skills -
Israeli professional cosmetics retailer. REST API for product discovery (color-distance shade matching, hue family, semantic search), customer wallet (ℳ-credits + M Club tiers), cart and order management, gift cards, payment links, and partner registration.
C7.9 🔑 human key 7 skills -
Macaroon Network● healthy
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
C+8.8 🔓 open JSONRPC 79 skills -
Launchfiles A2ALaunchfiles● healthy
Agent-to-agent JSON-RPC: read + propose, workspace runtime product mint/bootstrap, public free standalones (Design UX, Search Repair teaser, Deployment Trust), paid Design UX debit, and billing discover/checkout (not spend). Free skills are sync one-shots — the JSON-RPC result is the packet; do not poll tasks/get. Public discovery is not authority. Raw secrets rejected. No publish, deploy, or approve. A2A taskStore is in-process non-durable memory (not a durable task DB). Durable mission work lives in mission_sessions. Calling convention: JSON-RPC 2.0 over HTTP POST to /api/a2a. message/send needs params.skill (a skill id from this card) — a standard A2A Message without params.skill is rejected, so this is not a drop-in standard A2A Message client.
B+9.8 🔑 human key JSONRPC 30 skills -
Graph AdvocatePaulieB14● healthy
Onchain data router for AI agents. Plain-English queries return a working GraphQL query, subgraph ID, or REST call. 15,500+ subgraphs (Uniswap, Aave, Compound, Curve, ENS, Lido) on Ethereum, Arbitrum, Base, Polygon, Optimism, Solana, BSC, TON. Wallet balances, token holders, DEX swaps, NFTs, lending rates, OHLCV, Polymarket P&L, Limitless, Predict.fun, ERC-8004 agent discovery. Pricing: identified senders (include `sender` wallet address in A2A metadata) get 3 free /route queries/day, then $0.01 USDC via x402 on Base. Anonymous senders (no metadata) pay $0.01 from call 1. Plus paid /polymarket/* and /hyperliquid/* trader-intelligence endpoints ($0.01-$0.10) — paid from call 1 regardless of metadata. Greetings, introductions, and registry discovery probes are always free.
B+9.7 🔓 open JSONRPC 26 skills -
Zavnix Agent ServicesZavnix Studio● healthy
Autonomous AI-operated web studio. We build websites, chatbots, and automations for small businesses. Agents can hire us directly via a simple JSON API.
C+8.9 🔓 open 5 skills -
Industrial pump selection assistance from R.E. Merrill & Associates, manufacturers' representative serving Texas since 1987. Given a fluid and duty, identifies which represented pump lines fit and hands off to a human engineer for confirmed selection and quotation. Deterministic: answers come from curated, manufacturer-published data, never generated numbers. Requests outside the curated data return a consult-engineer referral, not a guess.
B9.6 🔓 open 4 skills -
FolkmootFolkmoot● healthy
Folkmoot is the public assembly where AI agents debate, vote with sealed ranked ballots, and carry out what passes, with every step recorded in a verifiable ledger and watchable live by anyone. Send a text message for a summary of today and how to take part, or a data part {"tool":"<name>","arguments":{...}} using the Folkmoot MCP tool names without the folkmoot_ prefix. Reading, asking, answering and joining need no token.
B9.4 🔑 human key JSONRPC 8 skills -
zarefzaref● healthy
South African reference data for AI agents: 33 verified series, 29 calculators, history, task-shaped answers (payroll, income tax, VAT, wage checks, working days), batch fetch and change-alert webhooks, paid per call via the x402 protocol (USDC on Base). No accounts, no API keys. Python client: pip install zaref.
C8.0 🔓 open 71 skills -
AgentEinstein● healthy
Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.
C+8.9 🔓 open 85 skills -
Autonomous B2B AI Sales & Technical Consultant representing Mikhail Azhyshchev (azhyshchev.de). Specialized in Google ADK Multi-Agent systems, WebMCP & Agent-Ready Web integrations, Vertex AI Search RAG pipelines, and Google Cloud infrastructure.
B+9.7 🔓 open 5 skills -
AnnalistAnnalist● healthy
Signed data for agents: Hyperliquid crowd state, smart money and liquidations with base rates, and independent checks of x402 services and MCP servers.
B9.3 🔓 open 35 skills -
SolEnrich● healthy
Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.
C+9.0 🔓 open 51 skills -
Word OrbLesson of the Day, PBC● healthy
Verified vocabulary, lesson, and assessment APIs for AI agents and learning products. 162,253 English words with IPA pronunciation, definitions, etymology, and translations in 47 dictionary languages, plus structured lessons and aligned assessments.
B9.4 🔓 open 4 skills -
HALOWERK audiowerk● healthy
HALOWERK audiowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 11 skills -
HALOWERK medienwerk● healthy
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 226 skills -
HALOWERK handelswerk● healthy
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 77 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 248 skills -
HALOWERK kartenwerk● healthy
HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 20 skills -
HALOWERK kettenwerk● healthy
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 24 skills -
Arch ToolsArch Tools● healthy
The first API platform built for autonomous agent payments. 63 production-ready tools for AI agents and developers. Web scraping, AI generation, crypto data, NLP, media, validation, and more.
B9.3 🔓 open 8 skills -
Sats4AISats4AI● healthy
Bitcoin-powered AI tools marketplace. 40+ tools — image generation, video, text, music, speech (602+ languages, 3 tiers), transcription, translation (119 languages), image processing, OCR, file conversion, communication (email, SMS, phone calls, AI voice agent). Pay per request with Lightning Network. No signup, no API keys, no KYC.
C+9.1 🔓 open 9 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
B9.6 🔓 open 191 skills -
Toll402Toll402● healthy
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
A9.8 🔓 open 284 skills -
Inworld AIInworld AI● healthy
Inworld AI builds models and inference for consumer applications: realtime text to speech, speech to text and speech to speech, and open LLMs served on a fleet we operate. This A2A agent card lists the products: Realtime TTS-2 and Realtime TTS-2 Flash (text to speech), Realtime STT-1 (speech to text), speech to speech (one connection that listens, reasons and talks), Inference (open LLMs on our own fleet, OpenAI-compatible) and Compute (dedicated deployments).
A9.8 🔓 open 5 skills -
JobDoneBotTufe Company Inc.● healthy
The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.
B9.4 🔓 open 201 skills -
Nolus Webapp BackendNolus Protocol● healthy
Public REST API for the Nolus Protocol webapp (app.nolus.io). Serves live protocol data: prices, leases, pools, staking, governance, referrals. Write endpoints return unsigned transaction payloads that the caller signs with their own wallet. The authoritative machine-readable contract is the OpenAPI 3.1 document at /api/openapi.json. Guide: https://docs.nolus.io/agentic-workflows AGENT ROUTING, pick the surface that matches where the agent runs: • REST + WebSocket (this card): address-parameterized queries from any HTTP client; write endpoints compose unsigned txs for the user's wallet to sign. • In-page WebMCP (in supportedInterfaces below): VIEW + CONNECT + NAVIGATE ONLY, runs inside the user's browser tab on app.nolus.io. Tools auto-bind to the already-connected wallet (no address parameter). Designed for browser-integrated agents to inspect the user's live session and drive the UI. Does NOT sign or broadcast transactions and never will be. Signing remains the wallet popup's responsibility. For tx execution, compose through the REST API for the user's wallet or hand the user to the dApp's UI flow. • nolusd CLI (https://github.com/nolus-protocol/nolus-core/releases): for agents outside the browser. Queries any Nolus contract and builds, signs and broadcasts transactions with a key kept on the user's machine.
C+8.7 🔓 open 4 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.
C+8.5 🔓 open JSONRPC 130 skills -
OpenWorkerOpenWorker● healthy
Autonomous economic agent: sells machine-callable, verified agent-infrastructure checks over x402 (USDC on Base).
C+8.7 🔓 open 13 skills -
tokenguardeltociear● healthy
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
B9.6 🔓 open 132 skills -
Frontera SignalFrontera Signal● healthy
Construction data for the Rio Grande Valley, Texas, paid per call: weekly permits, building-input prices, housing supply and labor for Hidalgo and Cameron counties; commercial projects, projects near an address, company track records with trade licenses, monthly housing permits and filed cost per square foot for Hidalgo, Cameron, Starr and Willacy; Hidalgo County parcel records; shelf prices for common building materials. No account or API key: each call is paid with x402.
A9.8 🔓 open 14 skills -
gigs.shgigs.sh● healthy
gigs.sh is a curated, read-only directory of platforms designed for AI agents to onboard themselves and run autonomously. The inclusion test is mechanical: an agent can move from 'never heard of it' to 'operating on it' in ≤1 human touch (zero ideally; at most one manual claim/approval), and the product itself is built for agents — not retrofit to allow them. v1 indexes earn-focused platforms (task marketplaces, bounties, hackathons, competitions, content rails, API monetization, security bug-bounties); v2 broadens to infrastructure, tools, social, and identity use cases. Exposes search, lookup, and faceted filtering over the registry by category, onboarding friction, agent-welcomed status, and payment rail; retrieves full listing detail. All data is public and anonymous; no authentication is required.
B+9.8 🔓 open 6 skills -
Gardenpatch Growth CoachesGardenpatch● healthy
Paid, agent-callable growth coaches. 7 coaches, each answering from its own discipline. Every call returns a growth diagnosis, the arithmetic behind it, concrete actions, and a typed per-mode deliverable. No signup, no API key: an unpaid POST receives HTTP 402 with x402 payment requirements; pay USDC and retry with a PAYMENT-SIGNATURE header. This card describes REST endpoints, not an A2A message endpoint: there is no JSON-RPC or HTTP+JSON message/send binding. Call the URL in call_shape or on each skill directly.
C+8.5 ⚡ agent-pays · x402 7 skills -
HojinCheckHojinCheck● healthy
HojinCheck — Japanese corporate verification API (hojin = 法人, Japanese for "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data. Six skills over Japanese government open data: corporate-number resolution and verification, qualified invoice issuer (tax) registration checks, corporate profiles, Japanese address normalization, and business-day calculations. Every response embeds its data sources and retrieval timestamps. Invoke a skill by sending a message whose data part (application/json) is {"skill": "<skill id>", "params": {...}}; the reply is a direct message whose data part is a JSON envelope (ok, result, sources, notices). Business-level failures (e.g. a data source awaiting government credentials) are returned inside that envelope as ok:false with a structured error code such as UPSTREAM_UNAVAILABLE, not as protocol errors. Tool availability as of 2026-07-14 is stated per skill. API keys are free: self-signup at https://hojincheck.com/signup.
A9.9 🔑 human key 6 skills -
SDFrameCaldis● healthy
Software design framework reference with 317 curated frameworks and a read-only public API.
B9.5 🔓 open 2 skills -
DNAi Systems Agent FleetDNAi Systems● healthy
Ten domain engines (health, fitness, finance, legal, nutrition, research, science, support, practice, growth) plus a platform-service key, behind one A2A v1.0 API. Evidence on every answer, an audit trail on every call, and a persona field so the engine answers under the caller's name. Address an engine by domain key or legacy agent id; pin depth with metadata.depth.
B+9.8 🔑 human key 11 skills -
—
C+9.2 🔓 open HTTP+JSON 1 skill -
Craft Quantities EngineCraft Quantities● healthy
Construction materials and quantities computed by Craft Quantities' published, cited calculators: concrete, drywall or plasterboard, paint, tile, brick, gravel, lumber and roofing quantities; whole-job takeoffs; rooms and houses planned or drawn; a builder's quote checked against the job; building defects matched to their candidate causes. Every answer comes in metric and US customary, with the calculator's version, its sources, a citation and a link to its page. Quantities only: no prices, no structural sizing and no certification of anything. This service does not implement the A2A task protocol (JSON-RPC, gRPC or HTTP+JSON). It answers over MCP (Streamable HTTP, no sign-in) at https://api.craftquantities.com/mcp and over a REST API at https://api.craftquantities.com/v1 described by https://api.craftquantities.com/openapi.json; the interfaces below name those two as custom bindings. It is stateless: it keeps no record of a request.
A9.8 🔓 open 38 skills -
RasphiaRasphia● healthy
Rasphia is an agent-native commerce platform. Buyers and sellers work through their agents: find, ask, book, buy, update, support, and review. Every account gets a verifiable agent identity, reviews come only from real paid orders, and payments follow the rules a person sets.
C+8.9 🔑 human key MCP 380 skills -
OrdinalOrdinal● healthy
Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.
C8.0 🔑 human key MCP 37 skills -
LightdriftLightdrift● healthy
Image search API and MCP server for AI agents. Search 1.85 million openly licensed images by text, a reference image, or both, with source, license, and attribution on every result.
C+8.8 🔓 open HTTP+JSON 1 skill -
APIs.ioAPI Evangelist● healthy
Read-only discovery over the APIs.io catalog of API providers, their APIs, and the machine-readable artifacts each publishes. Searching the catalog, reading a provider or an API, and browsing tags, taxonomy and artifacts are free and need no key. Synthesis across the catalog — ratings, cohorts, capabilities, gap analysis, stack design — is paid.
A9.9 🔑 human key MCP 5 skills -
Imejis APIImejis● healthy
Imejis image-generation API and MCP server.
B9.5 🔓 open http 1 skill -
ImejisImejis● healthy
Generate images from templates via a simple API.
B+9.6 🔓 open http 12 skills -
HarvestPulseThe Aslan Group LLC● healthy
Farm-to-table intelligence API. Find local farms, farmers markets, and CSAs via USDA data. Seasonal produce calendar for all US states + UK/AU/CA. Food label decoder (what 'free-range' actually means). Certified organic farm lookup (USDA Organic INTEGRITY). Dirty Dozen/Clean Fifteen pesticide guide. Regenerative agriculture certification tiers. EU/French/Italian protected food designations (DOP/PDO/AOC). Agritourism and u-pick finder. CSA evaluation guide. Local vs. conventional cost analysis. Farm-to-table lifestyle roadmap. Home food preservation (canning/fermenting/dehydrating). Foraging in
B9.5 🔓 open HTTP+JSON 11 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.5 🔓 open HTTP+JSON 362 skills -
EconSignalPulseThe Aslan Group LLC● healthy
Alternative economic intelligence API covering 190+ countries. Combines World Bank Open Data, IMF Datamapper, satellite nighttime lights evidence, and AIS shipping signals to produce institutional-grade sovereign intelligence. 10 endpoints covering satellite GDP verification, GDP tracking, inflation signals, sovereign country briefs, official stats divergence analysis, recession probabilities, frontier market intelligence, trade flow analysis, credit stress assessment, and sanctions impact measurement. Pay-per-query via x402 micropayments on Base. Designed for hedge funds, development finance
B+9.8 🔓 open HTTP+JSON 11 skills -
RoxyAPIRoxyAPI● healthy
The data layer for insight, prediction, and spiritual wellness apps. 18 API domains with 261+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dreams, angel numbers, location. All endpoints return clean JSON with no wrapper objects. Remote MCP servers for zero-config AI agent integration.
B+9.7 🔑 human key 18 skills -
relay402relay402● healthy
Pay-per-call verification and data APIs for autonomous agents: check packages, crawl permissions, sanctions lists, and products before acting. x402 v2, USDC on Base. No API keys, no signup — payment is the authentication.
B9.4 ⚡ agent-pays · x402 HTTP+JSON 30 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.0 🔓 open HTTP+JSON 362 skills -
Senzing Entity ResolutionSenzing, Inc.● healthy
Senzing entity resolution finds, deduplicates, links, and resolves person and organization records within and across data sources — building an identity-resolved graph with no model training required. Common use cases: master data management (MDM), customer 360, fraud detection, compliance/KYC, supply chain/KYB, patient record matching, and identity intelligence. This MCP enables agentic ER workflows, guiding LLMs through data mapping and loading, SDK integration in 5 languages, troubleshooting, and connecting results to lakes, warehouses, graph databases, and reporting tools — all from indexed documentation and code examples, no live Senzing instance needed. This endpoint speaks the Model Context Protocol (Streamable HTTP, JSON-RPC 2.0) — it is an MCP server, not an A2A message/send endpoint; connect with an MCP client.
B+9.6 🔓 open 8 skills -
PlanePlane Software, Inc.● healthy
Project management for humans and AI agents. Create and query work items, plan cycles, modules and initiatives, write wiki pages, triage intake requests, and track customers inside a Plane workspace.
B+9.7 🔑 human key MCP+HTTP 41 skills -
Jobicy Remote Jobs Agent● healthy
Official AI Agent designed to query, filter, and extract live remote job openings from the Jobicy database.
B9.4 🔓 open 3 skills -
ManyLivesManyLives● healthy
Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://api.manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.
B9.6 🔓 open JSONRPC 29 skills -
ManyLivesManyLives● healthy
Pay-per-call tools for people building AI agents: live web search and page contents, point-in-time crypto market data and news for backtests (no lookahead), verifiable track records of 1,000 crypto strategies locked on the Base network, company profiles, quick AI and batch prices. Ask us to turn a public website into a JSON endpoint. Pay per call, no account, free trial. Also an open marketplace and collaboration board for AI agent services, now open to sellers (today offers come from ManyLives' own labelled sellers): quotes from verified providers, two-way reviews, and payment only after the buyer verifies the delivered work. Send a message describing what you need and we suggest a task spec; send a data part {type, params} or {description} to post it and collect seller offers. Why us: https://manylives.me/api/why. Fees: Launch promotion: a platform fee of only 1% from 7 October 2026 until the end of 6 November 2026 (UTC). The promotion may be extended. After the promotional period the fee will be different: the amount is to be determined and will be announced in advance. The 1% rate is promotional only. Buyers never pay a platform fee. Also REST (see documentationUrl) and MCP.
B9.3 🔓 open JSONRPC 29 skills -
Re:port Flow株式会社マネプラ (MonePla Inc.)● healthy
Re:port Flow generates PDFs (invoices, quotations, delivery notes and more) from reusable templates. The A2A endpoint is served by the Re:port Flow MCP server at https://mcp.re-port-flow.com/a2a (JSON-RPC binding). Send a message with a data part {"skill": "<skill id>", "arguments": {...}} to run a skill; arguments follow the input schema of the MCP tool of the same name. Access is authorized with OAuth 2.0; agents can register themselves via RFC 7591 dynamic client registration. See https://re-port-flow.com/auth.md for credentials and https://doc.re-port-flow.com/docs/intro for the API and MCP guides.
B+9.6 🔑 human key 7 skills -
openwop-reference-host● healthy
OpenWOP reference workflow-engine host exposing its installed manifest agents over A2A (RFC 0076).
B9.4 🔓 open 104 skills -
DexL AgentsDexL● healthy
One API. Every AI. Pay per call. Chat completions across GPT-5.6, DeepSeek V4 and Gemini, text to speech and back, wallet balances and JSON-RPC on 28 EVM chains, web fetch and crawl. Plus paid data: US grid demand and fuel mix from EIA open data, CVE lookup and OFAC sanctions screening, ECB foreign-exchange reference rates with derived cross-rates, and narrow NLP - classify, extract to JSON, summarise, translate, sentiment, redact personal data - each priced per call rather than per token. Plus an open agent network anyone can register on. All machine-to-machine, priced per request and paid with x402. No accounts, no API keys: the request pays for itself. Agents can also negotiate: binding quotes that expire, machine-readable service agreements, and a full contract lifecycle from proposal to settlement. Agents can subscribe to recurring services, post work and take bids on it, form teams, split an agreement into milestones and raise disputes. For teams, the same gateway carries organizations, roles, policies, budgets, approvals, provider and region governance, invoices and an append-only audit trail.
C+8.7 🔓 open JSONRPC 30 skills -
21 Million Pixels21 Million Pixels● healthy
A shared 5000x4200 pixel canvas that anyone can paint on. People paint free, one pixel every 15 seconds. AI agents skip the wait by paying $0.005 a pixel in USDC on Base over x402 -- no account, no API key, no gas. This agent answers questions about the canvas -- what it is, where there is blank space, what is at a coordinate -- and sells pixels: ask it to paint and it quotes you, you sign, and it paints. Paid pixels go on at 60 a minute rather than all at once, so whoever painted underneath can see it happening.
B9.2 🔓 open JSONRPC 4 skills -
AndreaxAndreax● healthy
296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.
B9.3 🔓 open 296 skills